'' Player
''
CON _clkmode = xtal1 + pll16x
    _xinfreq = 5_000_000       '80 MHz

    '' Setting for stero audio channels
    '' Set left as unused pin if not connected
       right = 10
       left  = 11

PUB Player(pWav,speed):bOK|n,i,nextCnt,rate,dcnt

  'Set up the counters
  CTRA:= %00110 << 26 + 0<<9 + right
  CTRB:= %00110 << 26 + 0<<9 + left

  'get length
  n:=long[pWav+40]
  'get rate
  rate:=long[pWav+24]
  case rate
    8000:
      dcnt:=speed
    other:
      return false
  pWav+=44


  'Get ready for fast loop
  n--
  i:=0
  NextCnt:=cnt+15000

  'Play loop
  repeat i from 0 to 2200  'n  --Changed to create consistant notes
    NextCnt+=dcnt
    waitcnt(NextCnt)
    FRQA:=(byte[pWav+i])<<24
    FRQB:=FRQA


  return true
