'' Propeller Wavetable sound player by Jeff Ledger / AKA Oldbitcollector
'' Single 8bit, 8000hz, mono audio samples are used to generate sound by
'' calculating the playback frequency of the other octaves. (sort of)
''
'' Based on the concept used in 80's style sound samplers

'  Code is based on:
'  SPIN 8-bit WAV Player Ver. 1a
'  Copyright 2007 Raymond Allen  See end of file for terms of use.



CON _clkmode = xtal1 + pll16x
    _xinfreq = 5_000_000       '80 MHz


    '' Setting for stero audio channels
    '' Set left as unused pin if not connected
       right = 10
       left  = 11
VAR
    long stack[100]

OBJ

    play : "player.spin"
    play2 : "player2.spin"

PUB Main|n,i,j

  'Set pins to output mode
  DIRA[right]~~                 'Set Right Pin to output
  DIRA[left]~~                  'Set Left Pin to output


'Play a WAV File

    play.Player(@Wav,17000)  'C
'  Player(@Wav,16000)  'C#
    play2.Player(@Wav,15000) 'D
    play.Player(@Wav,13400)  'E
  'play.Player(@Wav,12600) 'F
  'Player(@Wav,11250)  'G
  'Player(@Wav,10000)  'A
  'Player(@Wav,9000)   'B
  'Player(@Wav,8500)   'C


DAT

WAV byte
'File "pad.wav"        '   <---  put your 8-bit PCM mono 8000 sample/second WAV
'File "strings.wav"    '   <---  put your 8-bit PCM mono 8000 sample/second WAV
'File "piano.wav"      '   <---  put your 8-bit PCM mono 8000 sample/second WAV
File "leadsyn1.wav"   '   <---  put your 8-bit PCM mono 8000 sample/second WAV






